Package org.eclipse.jgit.lib

## Class ObjectStream

- java.lang.Object
- - java.io.InputStream
  - - org.eclipse.jgit.lib.ObjectStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

Direct Known Subclasses:
  `ObjectStream.Filter`, `ObjectStream.SmallStream`

    public abstract class ObjectStream
    extends InputStream

Stream of data coming from an object loaded by `ObjectLoader`.

### Nested Class Summary

Nested Classes
`static class` `ObjectStream.Filter` Simple filter stream around another stream.
`static class` `ObjectStream.SmallStream` Simple stream around the cached byte array created by a loader.

### Constructor Summary

Constructors
`ObjectStream()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract long` `getSize()`
`abstract int` `getType()`

### Methods inherited from class java.io.InputStream

`available, close, mark, markSupported, nullInputStream, read, read, read, readAllBytes, readNBytes, readNBytes, reset, skip, transferTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectStream

    public ObjectStream()

### Method Detail

#### getType

    public abstract int getType()

Returns:
  Git object type, see `Constants`.

#### getSize

    public abstract long getSize()

Returns:
  total size of object in bytes